# TdApi.InputInlineQueryResultVenue (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultVenue

Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultVenue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultVenue

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultVenue
    extends TdApi.InputInlineQueryResult

Represents information about a venue.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `id` | Unique identifier of the query result.
`TdApi.InputMessageContent` | `inputMessageContent` | The content of the message to be sent.
`TdApi.ReplyMarkup` | `replyMarkup` | The message reply markup; pass null if none.
`int` | `thumbnailHeight` | Thumbnail height, if known.
`String` | `thumbnailUrl` | URL of the result thumbnail, if it exists.
`int` | `thumbnailWidth` | Thumbnail width, if known.
`TdApi.Venue` | `venue` | Venue result.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputInlineQueryResultVenue()` | Represents information about a venue.
`InputInlineQueryResultVenue​(DataInput input)` |
`InputInlineQueryResultVenue​(String id, TdApi.Venue venue, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` | Represents information about a venue.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### venue

public TdApi.Venue venue
Venue result.

### thumbnailUrl

public String thumbnailUrl
URL of the result thumbnail, if it exists.

### thumbnailWidth

public int thumbnailWidth
Thumbnail width, if known.

### thumbnailHeight

public int thumbnailHeight
Thumbnail height, if known.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputInlineQueryResultVenue

public InputInlineQueryResultVenue()
Represents information about a venue.

### InputInlineQueryResultVenue

public InputInlineQueryResultVenue​(String id, TdApi.Venue venue, String thumbnailUrl, int thumbnailWidth, int thumbnailHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents information about a venue.

Parameters:
  `id` - String Unique identifier of the query result.
  `venue` - Venue Venue result.
  `thumbnailUrl` - String URL of the result thumbnail, if it exists.
  `thumbnailWidth` - int Thumbnail width, if known.
  `thumbnailHeight` - int Thumbnail height, if known.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - InputMessageContent The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultVenue

public InputInlineQueryResultVenue​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`